Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1238301 (qt5-qtcanvas3d) - Review Request: qt5-qtcanvas3d - Qt5 - Canvas3d component
Summary: Review Request: qt5-qtcanvas3d - Qt5 - Canvas3d component
Keywords:
Status: CLOSED NEXTRELEASE
Alias: qt5-qtcanvas3d
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2015-07-01 14:38 UTC by Helio Chissini de Castro
Modified: 2015-08-22 17:36 UTC (History)
3 users (show)

Fixed In Version: 5.5.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 17:36:17 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Helio Chissini de Castro 2015-07-01 14:38:22 UTC
Spec URL: https://heliocastro.fedorapeople.org/qt5/qt5-qtcanvas3d.spec
SRPM URL: https://heliocastro.fedorapeople.org/qt5/qt5-qtcanvas3d-5.5.0-1.fc22.src.rpm
Description: Qt5 - Canvas3d component
Fedora Account System Username: heliocastro

Comment 1 Rex Dieter 2015-08-05 17:53:06 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10615031

Comment 2 Rex Dieter 2015-08-05 17:59:26 UTC
naming: ok

sources: ok
b67d104316c9e426f4fb611f7463a523  qtcanvas3d-opensource-src-5.5.0.tar.xz

licensing: ok

macros: ok

scriptlets: ok (MOSTLY)

1. SHOULD remove not-needed
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

this package has no shared libraries (only qml)


2. SHOULD look into use of qtdeclarative private interfaces (and tighten dependencies)

.spec is simple and clean

no blockers, APPROVED
(can fix SHOULD items after import)

Comment 3 Rex Dieter 2015-08-08 16:57:13 UTC
New Package SCM Request
=======================
Package Name: qt5-qtcanvas3d
Short Description: Qt5 Canvas3d component
Upstream URL: http://qt.io
Owners: heliocastro group::kde-sig
Branches: f21 f22 f23 el6 epel7
InitialCC:

Comment 4 Gwyn Ciesla 2015-08-10 16:58:42 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-08-11 13:13:12 UTC
qt5-qtcanvas3d-5.5.0-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/qt5-qtcanvas3d-5.5.0-1.fc23

Comment 6 Fedora Update System 2015-08-12 20:13:49 UTC
qt5-qtcanvas3d-5.5.0-1.fc23 has been pushed to the Fedora 23 testing repository.

Comment 7 Fedora Update System 2015-08-22 17:36:16 UTC
qt5-qtcanvas3d-5.5.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.